Doomsday Engine - Bug #1729

Repeat loading of DEHACKED patches specified on the command line following a game change
2014-02-25 15:26 - vermil

Status: Closed Start date: 2014-02-25
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.0 — Home Ul & Packages

Description

Unloading a game, doesn't unload any external Dehacked patches loaded.

Related issues:

Related to Feature #1586: Load/manage add-ons from the home screen Closed 2014-12-04
Related to Feature #1601: Package management In Progress  2014-04-18
History

#1 - 2014-02-25 15:42 - danij

Thats not possible. When a game is unloaded the entire definition database is reset before then parsing only those definitions which should be
present in Ring Zero.

Can you explain the problem you have observed and provide step by step instructions on how to reproduce it.

#2 - 2014-02-25 15:49 - danij

- Assignee set to vermil

#3 - 2014-02-25 16:00 - vermil

I'm using this mod with Dday, that comes with an external Dehacked patch.
http://www.doomworld.com/idgames/index.php?file=levels/doom2/Ports/m-o/marspr9c.zip

1. I launch Doom2 with the pwad and deh, through Snowberry.
2. | then unload the game (console command or taskbar).

If I then try to load any game (even Heretic or HeXen) through Ring Zero, the mods Dehacked patch is still being applied, with a variety of negative
results on each games mobjs (for instance a crash at the start of EIM1 in Heretic's case).

#4 - 2014-02-25 16:08 - danij

It sounds like the game session file list is not being cleared upon unloading the game, leading to the DEHACKED patch being loaded again when the
current game is changed. I'll investigate...

#5 - 2014-02-25 16:10 - danij

- Subject changed from 'unload' misses Dehacked patches to Repeat loading of DEHACKED patches specified on the command line following a game
change

- Assignee changed from vermil to danij
- Priority changed from Normal to High

- Target version set to 1.14

#6 - 2014-02-25 16:13 - danij

- Tags set to RingZero, Resources

#7 - 2014-02-25 16:14 - danij

- Tags changed from RingZero, Resources to RingZero, Resources, DeHackEd

#8 - 2014-04-04 04:41 - danij
- Status changed from New to In Progress

- % Done changed from 0 to 20
#9 - 2014-04-04 05:12 - danij
- % Done changed from 20 to 70

#10 - 2014-04-16 13:18 - skyjake

- Target version changed from 1.14 to 1.15

#11 - 2015-02-12 12:28 - vermil

| would like to add that this issue also affects ded's.

One can easily see such, by loading a ded that references a non-existing mobj state (the alert is repeated every time one returns to Ring Zero or
loads a game).

#12 - 2015-03-03 03:33 - danij

- Assignee changed from danij to Deng Team

- Target version changed from 1.15 to 42

#13 - 2015-03-03 03:33 - danij

To fix the underlying issue the Right Way, requires implementing a new mechanism for describing game sessions; including the ordered list of
add-ons, values for what were previously the games' command line options, and the session ID for multiplayer.

While it would be straightforward to add a one-line check to only load add-ons specified on the command line, when changing game if -game is
specified and valid - this wouldn't address the issue of repeat application of command line options intended for the game. As such, doing so would
introduce unintuitive behavior.

Consequently, although incorrect and unexpected, the current behavior is good enough until such time as a proper mechanism for game session
handling (and persistence thereof) is implemented.

#14 - 2015-05-03 17:03 - skyjake
- Priority changed from High to Normal

#15 - 2015-05-03 17:04 - skyjake

- Target version changed from 42 to 2.0 — Home Ul & Packages

#16 - 2015-05-03 19:28 - skyjake
- Assignee deleted (Deng Team)

#17 - 2016-07-06 00:06 - skyjake

- Related to Feature #1586: Load/manage add-ons from the home screen added

#18 - 2016-07-06 00:06 - skyjake
- Related to Feature #1601: Package management added

#19 - 2016-07-06 00:07 - skyjake
- Tags changed from RingZero, Resources, DeHackEd to RingZero, Resources, DeHackEd, Packages
- Category set to Defect

- Assignee set to skyjake

#20 - 2017-01-07 10:39 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

Dehacked patches are now loaded via the package system, and the "-deh" option has been replaced. See 8310385{79ffa.

#21 - 2017-01-20 13:00 - skyjake

- Status changed from Resolved to Closed

#22 - 2017-02-25 17:50 - skyjake

- Tags changed from RingZero, Resources, DeHackEd, Packages to Resources, DeHackEd, Packages, Home
